cabal-version: 2.2
name:          Shpadoinkle-backend-snabbdom
version:       0.3.0.1
category:      Web
author:        Isaac Shapira
maintainer:    isaac.shapira@platonic.systems
license:       BSD-3-Clause
license-file:  LICENSE
build-type:    Simple
extra-source-files:
  README.md
  Shpadoinkle/Backend/Snabbdom/Setup.js
synopsis:
  Use the high-performance Snabbdom virtual dom library written in JavaScript.
description:
  Snabbdom is a battle-tested virtual DOM library for JavaScript. It's extremely
  fast, lean, and modular. Snabbdom's design makes Snabbdom a natural choice for a
  Shpadoinkle rendering backend, as it has a similar core philosophy of
  "just don't do much" and is friendly to purely functional binding.


source-repository head
  type: git
  location: https://gitlab.com/platonic/shpadoinkle.git


library
  exposed-modules:
    Shpadoinkle.Backend.Snabbdom

  hs-source-dirs: ./.

  ghc-options:
    -Wall
    -Wcompat
    -fwarn-redundant-constraints
    -fwarn-incomplete-uni-patterns
    -fwarn-tabs
    -fwarn-incomplete-record-updates
    -fwarn-identities

  build-depends:
      Shpadoinkle
    , base >=4.12.0 && <4.16
    , containers
    , exceptions
    , file-embed >=0.0.11 && <0.1
    , ghcjs-dom >=0.9.4 && <0.20
    , jsaddle >=0.9.7 && <0.20
    , monad-control
    , mtl >=2.2.2 && <2.3
    , text >=1.2.3 && <1.3
    , transformers-base
    , unliftio >=0.2.12 && <0.3

  default-language: Haskell2010
